Package org.apache.storm.generated

## Class ThriftSerializedObject

- java.lang.Object
- - org.apache.storm.generated.ThriftSerializedObject

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<ThriftSerializedObject>`, `org.apache.storm.thrift.TBase<ThriftSerializedObject,​ThriftSerializedObject._Fields>`, `org.apache.storm.thrift.TSerializable`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public class ThriftSerializedObject
      extends Object
      implements org.apache.storm.thrift.TBase<ThriftSerializedObject,​ThriftSerializedObject._Fields>, Serializable, Cloneable, Comparable<ThriftSerializedObject>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ThriftSerializedObject._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<ThriftSerializedObject._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThriftSerializedObject()` |
    `ThriftSerializedObject​(String name, ByteBuffer bits)` |
    `ThriftSerializedObject​(ThriftSerializedObject other)` | Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ByteBuffer` | `buffer_for_bits()` |
    `void` | `clear()` |
    `int` | `compareTo​(ThriftSerializedObject other)` |
    `ThriftSerializedObject` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(ThriftSerializedObject that)` |
    `ThriftSerializedObject._Fields` | `fieldForId​(int fieldId)` |
    `byte[]` | `get_bits()` |
    `String` | `get_name()` |
    `Object` | `getFieldValue​(ThriftSerializedObject._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_set_bits()` | Returns true if field bits is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_name()` | Returns true if field name is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(ThriftSerializedObject._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_bits​(byte[] bits)` |
    `void` | `set_bits​(ByteBuffer bits)` |
    `void` | `set_bits_isSet​(boolean value)` |
    `void` | `set_name​(String name)` |
    `void` | `set_name_isSet​(boolean value)` |
    `void` | `setFieldValue​(ThriftSerializedObject._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_bits()` |
    `void` | `unset_name()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<ThriftSerializedObject._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### ThriftSerializedObject

          public ThriftSerializedObject()

    - #### ThriftSerializedObject

          public ThriftSerializedObject​(String name,
                                        ByteBuffer bits)

    - #### ThriftSerializedObject

          public ThriftSerializedObject​(ThriftSerializedObject other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public ThriftSerializedObject deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<ThriftSerializedObject,​ThriftSerializedObject._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<ThriftSerializedObject,​ThriftSerializedObject._Fields>`

    - #### get_name

          public String get_name()

    - #### set_name

          public void set_name​(String name)

    - #### unset_name

          public void unset_name()

    - #### is_set_name

          public boolean is_set_name()

      Returns true if field name is set (has been assigned a value) and false otherwise

    - #### set_name_isSet

          public void set_name_isSet​(boolean value)

    - #### get_bits

          public byte[] get_bits()

    - #### buffer_for_bits

          public ByteBuffer buffer_for_bits()

    - #### set_bits

          public void set_bits​(byte[] bits)

    - #### set_bits

          public void set_bits​(ByteBuffer bits)

    - #### unset_bits

          public void unset_bits()

    - #### is_set_bits

          public boolean is_set_bits()

      Returns true if field bits is set (has been assigned a value) and false otherwise

    - #### set_bits_isSet

          public void set_bits_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(ThriftSerializedObject._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<ThriftSerializedObject,​ThriftSerializedObject._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(ThriftSerializedObject._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<ThriftSerializedObject,​ThriftSerializedObject._Fields>`

    - #### isSet

          public boolean isSet​(ThriftSerializedObject._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<ThriftSerializedObject,​ThriftSerializedObject._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(ThriftSerializedObject that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(ThriftSerializedObject other)

      Specified by:
        `compareTo` in interface `Comparable<ThriftSerializedObject>`

    - #### fieldForId

          public ThriftSerializedObject._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<ThriftSerializedObject,​ThriftSerializedObject._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`